import Request from '../common/request.js';
let request = new Request().http

// 获取空中课堂任务列表
export function getAirClassroomList(data) {
	return request('/app/task/getTaskList', data, 'GET');
}

// 获取任务详情
export function getTaskDetail(data) {
	return request('/app/task/getTaskInfo/'+ data, data, 'GET');
}

// 提交任务
export function submitTask(data) {
	return request('/app/task/completeTask', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取项目分组选项
export function getGroupOptions(data) {
	return request('/app/task/getProjectList', data, 'GET');
}

// 获取项目标签选项
export function getTagOptions(data) {
	return request('/app/common/getTaskTypeData', data, 'POST', 'application/json;charset=UTF-8');
}

// 上传文件
export function uploadFile(data) {
	return request('/store/app/airClassroom/uploadFile', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取任务状态列表
export function getTaskStatusList() {
	return request('/store/app/airClassroom/getTaskStatusList', null, 'GET');
}

// 获取任务类型列表
export function getTaskTypeList() {
	return request('/app/common/getTaskTypeData', data, 'POST', 'application/json;charset=UTF-8');
}

// 保存任务草稿
export function saveTaskDraft(data) {
	return request('/store/app/airClassroom/saveTaskDraft', data, 'POST', 'application/json;charset=UTF-8');
}













